Bug 1609393 - /usr/lib/firewalld/services/cockpit.xml conflicts between firewalld and cockpit-ws
Summary: /usr/lib/firewalld/services/cockpit.xml conflicts between firewalld and cockp...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cockpit
Version: rawhide
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Martin Pitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2018-07-27 21:23 UTC by Adam Williamson
Modified: 2018-07-30 05:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 05:58:49 UTC


Attachments (Terms of Use)

Description Adam Williamson 2018-07-27 21:23:04 UTC
In firewalld-0.6.0-1.fc29, the file /usr/lib/firewalld/services/cockpit.xml was added to the package: previously it was not included in firewalld. The file has always existed in the cockpit-ws package. Now any install that includes both cockpit-ws and firewalld fails with this error:

file /usr/lib/firewalld/services/cockpit.xml conflicts between attempted installs of firewalld-0.6.0-1.fc29.noarch and cockpit-ws-173-1.fc29.x86_64

this is a critical issue as it breaks all default Fedora Server installs (which include both packages).

I think the file must be only in one package or the other, or must be *identical* between the two, including modes and ownership, to avoid conflicts.

Comment 1 Martin Pitt 2018-07-27 21:27:48 UTC
Thanks Eric, I'll drop it from cockpit-ws first thing on Monday. Do you also plan to upload that to Fedora 28? Then we should coordinate properly.

Comment 2 Adam Williamson 2018-07-27 21:31:11 UTC
Martin: could we possibly fix it today or over the weekend, for Rawhide? If you let me, I can do it. This blocks quite a lot of openQA tests I'd quite like to have running. Thanks!

Comment 3 Martin Pitt 2018-07-28 09:47:04 UTC
@Adam: I'll do it now; I have a tried-and-tested patch in RHEL downstream already.

Comment 4 Martin Pitt 2018-07-28 10:08:57 UTC
Fixed in https://koji.fedoraproject.org/koji/buildinfo?buildID=1131225

Comment 5 Eric Garver 2018-07-29 13:28:31 UTC
(In reply to Martin Pitt from comment #1)
> Thanks Eric, I'll drop it from cockpit-ws first thing on Monday. Do you also
> plan to upload that to Fedora 28? Then we should coordinate properly.

Sorry. I forgot the Conflicts for cockpit when I pushed the firewalld update. I'll update it now and bump the package version.

I currently have no plans to bring firewalld-0.6.0 to F28 due to dependencies on kernel >= 4.18, nftables >= 0.9.0, and newer selinux-policy.

Comment 6 Eric Garver 2018-07-29 13:46:30 UTC
(In reply to Eric Garver from comment #5)
> (In reply to Martin Pitt from comment #1)
> > Thanks Eric, I'll drop it from cockpit-ws first thing on Monday. Do you also
> > plan to upload that to Fedora 28? Then we should coordinate properly.
> 
> Sorry. I forgot the Conflicts for cockpit when I pushed the firewalld
> update. I'll update it now and bump the package version.

Building now.

https://koji.fedoraproject.org/koji/taskinfo?taskID=28690155

Comment 7 Adam Williamson 2018-07-30 05:58:49 UTC
Thanks! Automated tests confirm this fixed in the latest Rawhide compose.


Note You need to log in before you can comment on or make changes to this bug.